<template>
  <div class="inline-16">
    <el-popconfirm
        title="确定删除此附件资料吗？"
        @confirm="deleteRow()">
      <el-button slot="reference" size="small" type="text">删 除</el-button>
    </el-popconfirm>
  </div>
</template>

<script>
export default {
  name: "fileDel",
  props:['data'],
  methods:{
    async deleteRow(){
      console.log(this.data.linksid)
      const res = await this.$api.requested({
        "classname": "system.attachment.Attachment",
        "method": "deleteFileLink",
        "content": {
          "linksids": [this.data.linksid]
        }
      })
      console.log(res)
      this.$emit('deleteSuccess')
    }
  }
}
</script>

<style scoped>

</style>